/*@import url('https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300..900;1,300..900&display=swap');*/

@font-face {
    font-family: MixtapeDbankDigitalRegularFM;
    src: url("../fonts/mixtape-dbank-digital-regular-fm.otf") format("opentype");
}

* {
    box-sizing: border-box;
    min-width: 0;
    min-height: 0;
}

:root {
    --bubble-width: 114vw;
    --bubble-height: calc(var(--bubble-width) * 0.96);
}

body {
    margin: 0;
}

h1 {
    margin: 0;
}

p {
    padding: 0;
    margin: 0;
}

button {
    margin: 0;
    padding: 0;
    border: 0;
}

header {
    position: relative;
    z-index: 2;
}

.bubble {
    position: relative;
    z-index: 1;
}

.content {
    position: relative;
    z-index: 0;
}

body {
    overflow: hidden;
}

header {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 48px;
    padding: 8px;
    background: #fff;
    box-shadow: 0px 4px 9.8px 0px #E0E6E6;
}

main {
    display: flex;
    flex-direction: column;
    align-items: center;
    overflow: hidden;
}

.bubble {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: var(--bubble-width);
    height: var(--bubble-height);
    padding-top: calc(var(--bubble-width) / 2 - var(--bubble-width) * 0.05);
    margin: calc(var(--bubble-width) / 2 * -1) calc(var(--bubble-width) * -0.05) 0;
    background-color: #ECF7EB;
    border-radius: 0 0 100% 100%;
}

h1 {
    width: 208px;
    font-family: MixtapeDbankDigitalRegularFM;
    font-optical-sizing: auto;
    font-style: normal;
    font-size: 60px;
    font-style: normal;
    font-weight: 400;
    text-align: center;
    line-height: 106%;
    color: #00A661;
}

.content {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 24px 20px;
    gap: 16px;
}

.content p {
    width: 100%;
    font-optical-sizing: auto;
    font-style: normal;
    line-height: normal;
}

.content .first-paragraph {
    font-family: MixtapeDbankDigitalRegularFM;
    font-size: 28px;
    font-weight: 400;
}

.content .second-paragraph {
    font-family: MixtapeDbankDigitalRegularFM;
    font-size: 28px;
    font-weight: 400;
}

.content .third-paragraph {
    padding-top: 8px;
    font-family: "Rubik", sans-serif;
    font-size: 16px;
    font-weight: 400;
}

.read-more-container {
    padding-top: 8px;
}

.read-more-button {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    height: 40px;
    min-width: 144px;
    padding: 8px 16px;
    border-radius: 52px;
    font-family: "Rubik", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
    font-size: 16px;
    font-weight: 400;
    line-height: normal;
    color: #fff;
    background: #6924E8;
}

a.read-more-button {
    text-decoration: none;
}

@media (max-width: 374px) {
    h1 {
        width: 140px;
        font-size: 40px;
    }
}

@media (min-width: 580px) {
    :root {
        --bubble-width: 660px;
    }

    .content {
        width: 580px;
    }
}

@media (min-width: 1024px) {
    :root {
        --bubble-height: 100vh;
        --bubble-width: var(--bubble-height);
    }

    header {
        justify-content: start;
        height: 80px;
        padding: 20px;
    }

    main {
        flex-direction: row;
        justify-content: flex-start;
        overflow-y: visible;
        width: 100%;
        height: calc(100vh - 80px);
        margin: 0 auto;
    }

    [dir="rtl"] main {
        justify-content: flex-end;
    }

    .bubble {
        position: absolute;
        top: 40px;
        right: 0;
        left: auto;
        align-items: flex-start;
        margin: 0 calc(var(--bubble-height) * -0.48) 0 0;
        padding: 0;
        background-color: #ECF7EB;
        border-radius: 100% 0 0 100%;
        z-index: 1;
    }

    [dir="rtl"] .bubble {
        align-items: flex-end;
    }

    h1 {
        position: absolute;
        font-size: min(11vh, 100px);
        width: calc(var(--bubble-width) * 0.52);
        display: flex;
        justify-content: center;
    }
    
    h1 .inner-content {
        width: 38vh;
        max-width: 342px;
    }

    .content {
        width: auto;
        padding: 0 7.6vw;
        gap: 1.5vw;
    }

    .content .first-paragraph {
        width: 45vw;
        max-width: 745px;
        font-size: 3vw;
    }

    .content .first-paragraph .second-line {
        display: block;
    }

    .content .second-paragraph {
        width: 45vw;
        max-width: 745px;
    }

    .content .third-paragraph {
        width: 40vw;
        max-width: 610px;
        padding-top: 1vw;
    }

    .read-more-container {
        padding-top: 1.5vw;
    }

    .read-more-button {
        width: 16vw;
        height: 4vw;
        border-radius: 35px;
    }
}

@media (min-width: 1440px) {
    .content .first-paragraph {
        width: 100%;
        font-size: 48px;
    }

    .content .second-paragraph {
        width: 100%;
        font-size: 48px;
    }

    .content .third-paragraph {
        width: 100%;
        font-size: 20px;
        padding-top: 16px;
    }

    .read-more-container {
        padding-top: 24px;
    }

    .read-more-button {
        width: 230px;
        height: 60px;
        font-size: 20px;
    }
}
